package entity;

import db.Persistable;
import db.annotation.DbField;
import db.annotation.DbId;
import db.annotation.DbLink;

public class Ecole implements Persistable {
	
	@DbId
	@DbField(name = "ID")
	public long id;
	
	@DbField(name = "LIBELLE")
	public String libelle;
	
	@DbLink
	@DbField(name = "VILLE")
	public Ville ville;
	
	@DbLink
	@DbField(name = "NIVEAU")
	public Niveau niveau;

	@Override
	public long getId() {
		return id;
	}

}
