package entity;

import java.util.Date;

import db.Persistable;
import db.annotation.DbField;
import db.annotation.DbId;
import db.annotation.DbLink;

public class Frequentation implements Persistable {

	@DbId
	@DbField(name = "ID")
	public long id;
	
	@DbLink
	@DbField(name = "ESPACE")
	public Espace espace;
	
	@DbLink
	@DbField(name = "USAGER")
	public Usager usager;
	
	@DbField(name = "DATE")
	public Date date;
	
	@Override
	public long getId() {
		return id;
	}

	
	
}
