package entity;

import java.util.Date;

import db.Persistable;
import db.annotation.DbField;
import db.annotation.DbId;
import db.annotation.DbLink;

public class Usager implements Persistable {
	
	@DbId
	@DbField(name = "ID")
	public long id;
	
	@DbField(name = "NOM")
	public String nom;
	
	@DbField(name = "PRENOM")
	public String prenom;
	
	@DbField(name = "DATEDENAISSANCE")
	public Date dateNaiss;
	
	@DbField(name = "EMAIL")
	public String email;
	
	@DbField(name = "TELEPHONE")
	public String telephone;
	
	@DbField(name = "CONTACTURGENCE")
	public String contactUrgence;
	
	@DbField(name = "CODE")
	public String code;
	
	@DbField(name = "SCOLAIRE")
	public boolean scolaire;
	
	@DbField(name = "DESCRIPTION")
	public String description;
	
	@DbLink
	@DbField(name = "VILLE")
	public Ville ville;
	
	@DbLink
	@DbField(name = "ECOLE")
	public Ecole ecole;

	@Override
	public long getId() {
		return 0;
	}

}
